---
sidebar_position: 5
description: Update task time accounting and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Update task time accounting
 Update time accounting record data



`Function UpdateTaskTimeAccounting(Val URL, Val TaskID, Val RecordID, Val Time, Val Text = "", Val SetupDate = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | String, Number | &#x2714; | Task ID |
  | RecordID | --record | String, Number | &#x2714; | Time record ID |
  | Time | --amount | String, Number | &#x2714; | Time spent in seconds |
  | Text | --text | String | &#x2716; | Comment text |
  | SetupDate | --date | String | &#x2716; | Date the record was set |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [task.elapseditem.update](https://dev.1c-bitrix.ru/rest_help/tasks/task/elapseditem/update.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL      = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID   = "9044";
    RecordID = "3328";

    Text = "The text I forgot last time";
    Time = 4800;

    Result = OPI_Bitrix24.UpdateTaskTimeAccounting(URL, TaskID, RecordID, Time, Text);

    URL      = "b24-ar17wx.bitrix24.by";
    Token    = "6ad03969006e9f06006b12e400000001000...";
    RecordID = "3330";

    Text      = "New time record";
    Time      = 4800;
    SetupDate = AddMonth(OPI_Tools.GetCurrentDate(), -1);

    Result = OPI_Bitrix24.UpdateTaskTimeAccounting(URL, TaskID, RecordID, Time, Text, SetupDate, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 UpdateTaskTimeAccounting \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9054" \
             --record 3334 \
             --amount 4800 \
             --text "New time record" \
             --date "2025-11-10T19:56:03.8762083" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 UpdateTaskTimeAccounting ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9054" ^
             --record 3334 ^
             --amount 4800 ^
             --text "New time record" ^
             --date "2025-11-10T19:56:03.8762083" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": null,
 "time": {
  "start": 1765396565,
  "finish": 1765396565.83106,
  "duration": 0.831063985824585,
  "processing": 0,
  "date_start": "2025-12-10T19:56:05+00:00",
  "date_finish": "2025-12-10T19:56:05+00:00",
  "operating_reset_at": 1765397165,
  "operating": 0
 }
}
```
